> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve order invoice

> Retrieve order invoice



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /orders/{order_number}/invoice
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/{order_number}/invoice:
    parameters:
      - name: order_number
        in: path
        description: order number
        required: true
        schema:
          type: string
    get:
      tags:
        - Orders
      summary: Retrieve order invoice
      description: Retrieve order invoice
      operationId: get-order-invoice
      parameters:
        - name: format
          in: query
          description: Response data format
          schema:
            type: string
            default: json
            enum:
              - json
              - pdf
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      invoices:
                        type: array
                        items:
                          $ref: '#/components/schemas/InvoiceDetail'
                    type: object
            application/pdf:
              schema:
                type: object
components:
  schemas:
    InvoiceDetail:
      title: InvoiceDetail
      description: InvoiceDetail model
      allOf:
        - $ref: '#/components/schemas/Invoice'
        - type: object
          properties:
            items:
              type: array
              items:
                $ref: '#/components/schemas/InvoiceItem'
      x-tags:
        - Shipping
    Invoice:
      title: Invoice
      description: Invoice model
      type: object
      properties:
        invoice_number:
          type: string
        invoice_date:
          type: string
          format: date
        irn_number:
          description: Invoice Reference Number
          type:
            - string
            - 'null'
        ack_number:
          description: Acknowledgement Number
          type:
            - string
            - 'null'
        ack_date:
          description: Acknowledgement Date
          type:
            - string
            - 'null'
          format: date-time
        signed_qr_code:
          type:
            - string
            - 'null'
        gatepass_barcode:
          type:
            - string
            - 'null'
        seller_details:
          $ref: '#/components/schemas/Warehouse'
        billing_address:
          $ref: '#/components/schemas/CustomerAddress'
        shipping_address:
          $ref: '#/components/schemas/CustomerAddress'
        subtotal:
          type: number
        shipping_amount:
          type: number
        coupon_code:
          type:
            - string
            - 'null'
        coupon_discount_percent:
          type:
            - number
            - 'null'
        coupon_discount_amount:
          type:
            - number
            - 'null'
        total_tax:
          type: number
        grand_total:
          type: number
        tax_summary:
          type: array
          items:
            type: object
            properties:
              tax_rate:
                type: number
              taxable_value:
                type: number
              igst:
                type: number
              cgst:
                type: number
              sgst:
                type: number
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
      x-tags:
        - Shipping
    InvoiceItem:
      title: InvoiceItem
      description: InvoiceItem model
      type: object
      properties:
        sku:
          type: string
        product_name:
          type: string
        product_image_url:
          type: string
        listing_price:
          type: number
        selling_price:
          type: number
        qty:
          type: integer
        free_qty:
          type: integer
        tax_type:
          type: string
        tax_rate:
          type: number
        hsncode:
          type: string
        batch_number:
          type: string
        expiry:
          type: string
        amount:
          type: number
      x-tags:
        - Shipping
    Warehouse:
      title: Warehouse
      description: >-
        Validations:


        1) Either 'can_receive_stock' or 'accepts_returns' must be set to true.

        2) 'can_receive_stock' cannot be set to false while the warehouse has
        existing inventory.

        3) 'is_checkout_point' must be true when the warehouse type is
        'retail-store'.

        4) If 'can_receive_stock' is false then 'can_ship_parcel' and
        'can_collect' fields should be false.
      type: object
      required:
        - name
        - warehouse_type
        - city
        - address_line1
        - pincode
        - state
        - country
        - contact_phone
        - contact_email
        - can_receive_stock
        - can_ship_parcel
        - can_collect
        - is_checkout_point
        - accepts_returns
      properties:
        id:
          description: warehouse id
          type: string
          readOnly: true
        name:
          description: legal name
          type: string
        warehouse_type:
          enum:
            - retail-store
            - distribution-center
        active:
          type: boolean
          default: true
        gstin:
          type:
            - string
            - 'null'
        city:
          type: string
        address_line1:
          type: string
        address_line2:
          type:
            - string
            - 'null'
        landmark:
          type:
            - string
            - 'null'
        pincode:
          type: string
        state:
          type: string
        country:
          type: string
        country_code:
          type: string
          default: '+91'
        contact_phone:
          description: 10 digit number without country code.
          type: number
        contact_email:
          type: string
        is_default:
          type: boolean
        image_url:
          type:
            - string
            - 'null'
        seller_warehouse_id:
          type:
            - string
            - 'null'
        can_receive_stock:
          type: boolean
        can_ship_parcel:
          type: boolean
        can_collect:
          type: boolean
        is_checkout_point:
          description: this field will be always true for warehouse_type = retail-store.
          type: boolean
        accepts_returns:
          type: boolean
        opening_hours:
          $ref: '#/components/schemas/OpeningHours'
        channels:
          description: channels associated with the warehouse
          type: array
          items:
            $ref: '#/components/schemas/SalesChannel'
          readOnly: true
    CustomerAddress:
      title: CustomerAddress
      type: object
      required:
        - first_name
        - phone
        - email
        - address_line1
        - pincode
        - city
        - state
        - country
      properties:
        id:
          type: string
          readOnly: true
        first_name:
          type: string
        last_name:
          type:
            - string
            - 'null'
        country_code:
          description: "Two-letter code begin with a plus sign prefix that identifies different countries. By default it will be +91 if not provided.\r\n"
          type: string
        phone:
          description: 10 digit phone number without country code.
          type: string
        email:
          type:
            - string
            - 'null'
        address_line1:
          type: string
        address_line2:
          type:
            - string
            - 'null'
        landmark:
          type:
            - string
            - 'null'
        pincode:
          type: string
        city:
          type: string
        state:
          type: string
        country:
          enum:
            - India
        gstin:
          description: Use in shipping details only for third party.
          type:
            - string
            - 'null'
        business_name:
          description: Use in shipping details only for third party.
          type:
            - string
            - 'null'
        is_phone_verified:
          type: boolean
          readOnly: true
        is_email_verified:
          type: boolean
          readOnly: true
        is_default_shipping:
          type: boolean
        is_default_billing:
          type: boolean
      examples: []
      x-tags:
        - Customers
    OpeningHours:
      type: object
      required:
        - monday
        - tuesday
        - wednesday
        - thursday
        - friday
        - saturday
        - sunday
      properties:
        monday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        tuesday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        wednesday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        thursday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        friday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        saturday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        sunday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
    SalesChannel:
      title: SalesChannel
      type: object
      required:
        - id
        - name
        - kind
        - active
      properties:
        id:
          type: string
        name:
          type: string
          readOnly: true
        kind:
          type: string
          enum:
            - storefront
            - marketplace
        active:
          type: boolean
          readOnly: true
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````